%define	rname	MToolsFM

Summary:	Graphical frontend for the mtools floppy utilities
Name:		mtoolsfm
Version:	1.9.3
Release:	4mdk
License:	GPL
Group:		File tools

Source:		http://www.core-coutainville.org/MToolsFM/archive/SOURCES/MToolsFM-1.9-3.tar.bz2
Source1:        gphoto-icons.tar.bz2

Url:		http://www.core-coutainville.org/MToolsFM/
BuildRoot:	%_tmppath/%name-%version-%release-buildroot
Requires:	mtools
BuildRequires:	gtk+-devel
BuildRequires:	ImageMagick

%description

This is a file manager which allows to transfer files between storage media
accessed via the mtools and usual file systems.

It is especially useful when one has an HP multi-function device or
PhotoSmart printer with photo memory card drives, since the drives are only
accessible via mtools and not as a mountable file system.

%prep

%setup -q -n %{rname}-1.9-3

%build

%configure

%make

# convert icons to required format
convert %{rname}.xpm %{rname}.png
convert %{rname}.mini.xpm %{rname}.mini.png
convert %{rname}.xpm -resize 48x48 %{rname}.large.png

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{rname}

# menu stuff
install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > %buildroot/%_menudir/mtoolsfm
?package(mtoolsfm):command="%{_bindir}/%{rname}" \
title="MTools File Manager" \
longtitle="File manager to access photo memory cards in HP's PhotoSmart printers and MF devices" \
needs="x11" \
section="Applications/File tools" \
icon="%{rname}.png"
EOF

# icons
install -m 644 %{rname}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{rname}.png
install -m 644 %{rname}.mini.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{rname}.png
install -m 644 %{rname}.large.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{rname}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files -f MToolsFM.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README THANKS
%_bindir/%{rname}
%{_miconsdir}/%{rname}.png
%{_iconsdir}/%{rname}.png
%{_liconsdir}/%{rname}.png
%_menudir/%{name}
%_mandir/man1/%{rname}.1*

%changelog
* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.9.3-4mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- macroize
- fix large icon size
- cosmetics
- use file list generated by %%find_lang macro for locale files

* Thu Jan 16 2003 Till Kamppeter <till@mandrakesoft.com> 1.9.3-3mdk
- Rebuild for new glibc.

* Sat Nov  9 2002 Stefan van der Eijk <stefan@eijk.nu> 1.9.3-2mdk
- BuildRequires: gtk+-devel

* Sun Jul 21 2002 Till Kamppeter <till@mandrakesoft.com> 1.9.3-1mdk
- Initial release
